﻿using Android.App;
using Android.Widget;
using Android.OS;
using Syncfusion.SfDataGrid;
using System.Linq;

namespace ScrollToRollIndexInAndroid
{
    [Activity(Label = "ScrollToRollIndexInAndroid", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        SfDataGrid dataGrid;
        ViewModel viewModel;
        LinearLayout linearLayout;
        static object value;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            linearLayout = new LinearLayout(this);
            viewModel = new ViewModel();
            if (dataGrid == null)
            {
                if (value != null)
                    dataGrid = value as SfDataGrid;
                else
                {
                    dataGrid = new SfDataGrid(BaseContext);
                    dataGrid.ItemsSource = viewModel.OrdersInfo;
                    dataGrid.AutoGenerateColumns = true;
                    dataGrid.SelectionMode = SelectionMode.Single;
                    dataGrid.GroupColumnDescriptions.Add(new GroupColumnDescription() { ColumnName = "CustomerID" });
                }
            }
            linearLayout.Orientation = Orientation.Vertical;
            if (dataGrid.Parent != null)
                (dataGrid.Parent as LinearLayout).RemoveView(dataGrid);
            linearLayout.AddView(dataGrid);
            SetContentView(linearLayout);
        }

        protected override void OnPause()
        {
            base.OnPause();
            //Store the old instance of SfDataGrid whenever the screen rotates.
            value = dataGrid;
        }

    }
}

